| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_TUPLE_POP_FRONT_Z

BOOST_VMD_TUPLE_POP_FRONT_Z — pops an element from the front of a tuple. It reenters BOOST_PP_REPEAT with maximum efficiency.

## Synopsis

    // In header: <boost/vmd/tuple/pop_front.hpp>

    BOOST_VMD_TUPLE_POP_FRONT_Z(z, tuple)

## Description

z = the next available BOOST_PP_REPEAT dimension. tuple = tuple to pop an element from.

If the tuple is an empty tuple the result is undefined. If the tuple is a single element the result is an empty tuple. Otherwise the result is a tuple after removing the first element.